<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>main</name>
    <title>Globus GSI Callback</title>
    <filename>main</filename>
  </compound>
  <compound kind="group">
    <name>globus_gsi_callback_activation</name>
    <title>Activation</title>
    <filename>group__globus__gsi__callback__activation.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_GSI_CALLBACK_MODULE</name>
      <anchorfile>group__globus__gsi__callback__activation.html</anchorfile>
      <anchor>g432d1d7a794f1d772f0e9d8f35e9ef9f</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_callback</name>
    <title>Callback Functions</title>
    <filename>group__globus__gsi__callback.html</filename>
    <member kind="typedef">
      <type>int(*</type>
      <name>globus_gsi_extension_callback_t</name>
      <anchorfile>group__globus__gsi__callback.html</anchorfile>
      <anchor>gb8ea0fdaa7d613a4cf1356213e9677f5</anchor>
      <arglist>)(globus_gsi_callback_data_t callback_data, X509_EXTENSION *extension)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_callback_data</name>
    <title>Callback Data Functions</title>
    <filename>group__globus__gsi__callback__data.html</filename>
    <member kind="typedef">
      <type>struct globus_l_gsi_callback_data_s *</type>
      <name>globus_gsi_callback_data_t</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>g3ae70b8c3f086611aeb22918962f7674</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_callback_constants</name>
    <title>GSI Callback Constants</title>
    <filename>group__globus__gsi__callback__constants.html</filename>
    <member kind="enumeration">
      <name>globus_gsi_callback_error_t</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>g2f7ad05d55ce101a57f62842ce0f6f2e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_SUCCESS</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gg2f7ad05d55ce101a57f62842ce0f6f2eb0ecce376da1fd40e52d5757cc03e479</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_VERIFY_CRED</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gg2f7ad05d55ce101a57f62842ce0f6f2ea76ac35b98ef23144e3b79224b51f76c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_CERT_NOT_YET_VALID</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gg2f7ad05d55ce101a57f62842ce0f6f2ef0d80380ea20d33d4a010ddc25078c26</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_CANT_GET_LOCAL_CA_CERT</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gg2f7ad05d55ce101a57f62842ce0f6f2e9f721c2bca9c9fb193b27e2758b3c3f2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_CERT_HAS_EXPIRED</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gg2f7ad05d55ce101a57f62842ce0f6f2e3186011721bfe9e7888000cc55265981</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_INVALID_PROXY</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gg2f7ad05d55ce101a57f62842ce0f6f2e1f594cc4aa75171b4178b9ef176295f5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_LIMITED_PROXY</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gg2f7ad05d55ce101a57f62842ce0f6f2e63c3ad1febdd2d7d594dd8b88265e7be</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_INVALID_CRL</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gg2f7ad05d55ce101a57f62842ce0f6f2e5ff003b9af9b414e8978274ef7c8e950</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_REVOKED_CERT</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gg2f7ad05d55ce101a57f62842ce0f6f2eb61ce842eff2df52299a1cce567feca7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_MIXING_DIFFERENT_PROXY_TYPES</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gg2f7ad05d55ce101a57f62842ce0f6f2e764d50a76dd92d8b43b16c9985e1b77d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_WITH_SIGNING_POLICY</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gg2f7ad05d55ce101a57f62842ce0f6f2e435efe0eef0ccc1abc15f1fbe4600586</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_OLD_GAA</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gg2f7ad05d55ce101a57f62842ce0f6f2e59efa2edc75a8dd527f592547e9e5279</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_CALLBACK_DATA</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gg2f7ad05d55ce101a57f62842ce0f6f2eb4d299341d3c761887583aac17effbda</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_ERRNO</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gg2f7ad05d55ce101a57f62842ce0f6f2eea899bdc57db0bf3cde2df6e0dfb8628</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_CERT_CHAIN</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gg2f7ad05d55ce101a57f62842ce0f6f2e11f4eec869d9e33635cc04f5d8e07b95</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_WITH_CALLBACK_DATA_INDEX</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gg2f7ad05d55ce101a57f62842ce0f6f2e9cc2aded2617501f113335080807d0b9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_PROXY_PATH_LENGTH_EXCEEDED</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gg2f7ad05d55ce101a57f62842ce0f6f2eb028949963fae5963da3898bb9977b7d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_LAST</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gg2f7ad05d55ce101a57f62842ce0f6f2e4906f8607a51e87d033c4e0364a67e36</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
